View Issue Details

IDProjectCategoryView StatusLast Update
0016422ScribusUser Interfacepublic2021-01-13 01:26
Reporterbubu Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.7.svn 
Target VersionFixed in Version1.5.7.svn 
Summary0016422: Update layout for Gradient Vector Editor
DescriptionIn this patch propose to set standard dialog margin and spacing for Gradient Vector editor (access: Properties > Colors > Fill/Stroke > Fill Mode: Gradient > Move Vector button). The proposed changes:
- Set window margins and spacing as a dialog
- Insert spacer in pageLinear, pageRadial, pageFourColor
- Degrease spacer size in pageMesh and pagePatch (they compressed the icons above)
Please see the before after screenshot.

The patch is a little bit ugly due of inserting spacers. Please review the patch. Thanks.
TagsNo tags attached.
PatchNo

Relationships

child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

bubu

2021-01-10 08:59

reporter  

0001-Update-layout-for-Gradient-Vector-Editor.patch (20,198 bytes)
From 8777b42fd8a0fb95ccaf11dfcc0e73837b113913 Mon Sep 17 00:00:00 2001
Message-Id: <8777b42fd8a0fb95ccaf11dfcc0e73837b113913.1610268574.git.bubu@ujevangelizacio.hu>
From: =?UTF-8?q?Gyuris=20Gell=C3=A9rt?= <bubu@ujevangelizacio.hu>
Date: Sun, 10 Jan 2021 09:48:44 +0100
Subject: [PATCH] Update layout for Gradient Vector Editor

- Set margins and spacing as a dialog
- Insert spacer in pageLinear, pageRadial, pageFourColor
- Degrease spacer size in pageMesh and pagePatch
---
 scribus/ui/gradientvectorbase.ui | 391 ++++++++++++++++++++-----------
 1 file changed, 254 insertions(+), 137 deletions(-)

diff --git a/scribus/ui/gradientvectorbase.ui b/scribus/ui/gradientvectorbase.ui
index 6cf8ffac2..17670ed02 100644
--- a/scribus/ui/gradientvectorbase.ui
+++ b/scribus/ui/gradientvectorbase.ui
@@ -9,8 +9,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>251</width>
-    <height>180</height>
+    <width>267</width>
+    <height>178</height>
    </rect>
   </property>
   <property name="minimumSize">
@@ -23,6 +23,18 @@
    <string>Gradient Vector</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item>
     <widget class="QStackedWidget" name="stackedWidget">
      <property name="currentIndex">
@@ -30,13 +42,25 @@
      </property>
      <widget class="QWidget" name="pageLinear">
       <layout class="QGridLayout" name="gridLayout_3">
-       <property name="margin">
-        <number>5</number>
+       <property name="leftMargin">
+        <number>0</number>
        </property>
-       <item row="0" column="0">
-        <widget class="QLabel" name="label">
-         <property name="text">
-          <string>Start:</string>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
+       <item row="0" column="3">
+        <widget class="ScrSpinBox" name="gY1">
+         <property name="minimum">
+          <double>-3000.000000000000000</double>
+         </property>
+         <property name="maximum">
+          <double>3000.000000000000000</double>
          </property>
         </widget>
        </item>
@@ -50,15 +74,15 @@
          </property>
         </widget>
        </item>
-       <item row="0" column="2">
-        <widget class="QLabel" name="label_2">
+       <item row="2" column="0">
+        <widget class="QLabel" name="label_5">
          <property name="text">
-          <string>/</string>
+          <string>Skew:</string>
          </property>
         </widget>
        </item>
-       <item row="0" column="3">
-        <widget class="ScrSpinBox" name="gY1">
+       <item row="1" column="3">
+        <widget class="ScrSpinBox" name="gY2">
          <property name="minimum">
           <double>-3000.000000000000000</double>
          </property>
@@ -67,10 +91,10 @@
          </property>
         </widget>
        </item>
-       <item row="1" column="0">
-        <widget class="QLabel" name="label_3">
+       <item row="0" column="2">
+        <widget class="QLabel" name="label_2">
          <property name="text">
-          <string>End:</string>
+          <string>/</string>
          </property>
         </widget>
        </item>
@@ -84,56 +108,81 @@
          </property>
         </widget>
        </item>
-       <item row="1" column="2">
-        <widget class="QLabel" name="label_4">
+       <item row="0" column="0">
+        <widget class="QLabel" name="label">
          <property name="text">
-          <string>/</string>
+          <string>Start:</string>
          </property>
         </widget>
        </item>
-       <item row="1" column="3">
-        <widget class="ScrSpinBox" name="gY2">
+       <item row="2" column="1">
+        <widget class="ScrSpinBox" name="gSk">
          <property name="minimum">
-          <double>-3000.000000000000000</double>
+          <double>-89.000000000000000</double>
          </property>
          <property name="maximum">
-          <double>3000.000000000000000</double>
+          <double>89.000000000000000</double>
          </property>
         </widget>
        </item>
-       <item row="2" column="0">
-        <widget class="QLabel" name="label_5">
+       <item row="1" column="0">
+        <widget class="QLabel" name="label_3">
          <property name="text">
-          <string>Skew:</string>
+          <string>End:</string>
          </property>
         </widget>
        </item>
-       <item row="2" column="1">
-        <widget class="ScrSpinBox" name="gSk">
-         <property name="minimum">
-          <double>-89.000000000000000</double>
-         </property>
-         <property name="maximum">
-          <double>89.000000000000000</double>
+       <item row="1" column="2">
+        <widget class="QLabel" name="label_4">
+         <property name="text">
+          <string>/</string>
          </property>
         </widget>
        </item>
+       <item row="3" column="1">
+        <spacer name="verticalSpacer_3">
+         <property name="orientation">
+          <enum>Qt::Vertical</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>20</width>
+           <height>40</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
       </layout>
      </widget>
      <widget class="QWidget" name="pageRadial">
       <layout class="QGridLayout" name="gridLayout">
-       <property name="margin">
-        <number>5</number>
+       <property name="leftMargin">
+        <number>0</number>
        </property>
-       <item row="0" column="0">
-        <widget class="QLabel" name="label_8">
-         <property name="text">
-          <string>Start:</string>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
+       <item row="4" column="1">
+        <widget class="ScrSpinBox" name="gSc">
+         <property name="minimum">
+          <double>0.010000000000000</double>
+         </property>
+         <property name="maximum">
+          <double>100.000000000000000</double>
+         </property>
+         <property name="value">
+          <double>100.000000000000000</double>
          </property>
         </widget>
        </item>
-       <item row="0" column="1">
-        <widget class="ScrSpinBox" name="gX1_2">
+       <item row="1" column="1">
+        <widget class="ScrSpinBox" name="gX2_2">
          <property name="minimum">
           <double>-3000.000000000000000</double>
          </property>
@@ -142,15 +191,8 @@
          </property>
         </widget>
        </item>
-       <item row="0" column="2">
-        <widget class="QLabel" name="label_6">
-         <property name="text">
-          <string>/</string>
-         </property>
-        </widget>
-       </item>
-       <item row="0" column="3">
-        <widget class="ScrSpinBox" name="gY1_2">
+       <item row="0" column="1">
+        <widget class="ScrSpinBox" name="gX1_2">
          <property name="minimum">
           <double>-3000.000000000000000</double>
          </property>
@@ -159,20 +201,17 @@
          </property>
         </widget>
        </item>
-       <item row="1" column="0">
-        <widget class="QLabel" name="label_9">
+       <item row="0" column="2">
+        <widget class="QLabel" name="label_6">
          <property name="text">
-          <string>End:</string>
+          <string>/</string>
          </property>
         </widget>
        </item>
-       <item row="1" column="1">
-        <widget class="ScrSpinBox" name="gX2_2">
-         <property name="minimum">
-          <double>-3000.000000000000000</double>
-         </property>
-         <property name="maximum">
-          <double>3000.000000000000000</double>
+       <item row="2" column="0">
+        <widget class="QLabel" name="label_11">
+         <property name="text">
+          <string>Focal:</string>
          </property>
         </widget>
        </item>
@@ -183,6 +222,13 @@
          </property>
         </widget>
        </item>
+       <item row="2" column="2">
+        <widget class="QLabel" name="label_12">
+         <property name="text">
+          <string>/</string>
+         </property>
+        </widget>
+       </item>
        <item row="1" column="3">
         <widget class="ScrSpinBox" name="gY2_2">
          <property name="minimum">
@@ -193,15 +239,8 @@
          </property>
         </widget>
        </item>
-       <item row="2" column="0">
-        <widget class="QLabel" name="label_11">
-         <property name="text">
-          <string>Focal:</string>
-         </property>
-        </widget>
-       </item>
-       <item row="2" column="1">
-        <widget class="ScrSpinBox" name="gFX">
+       <item row="0" column="3">
+        <widget class="ScrSpinBox" name="gY1_2">
          <property name="minimum">
           <double>-3000.000000000000000</double>
          </property>
@@ -210,15 +249,8 @@
          </property>
         </widget>
        </item>
-       <item row="2" column="2">
-        <widget class="QLabel" name="label_12">
-         <property name="text">
-          <string>/</string>
-         </property>
-        </widget>
-       </item>
-       <item row="2" column="3">
-        <widget class="ScrSpinBox" name="gFY">
+       <item row="2" column="1">
+        <widget class="ScrSpinBox" name="gFX">
          <property name="minimum">
           <double>-3000.000000000000000</double>
          </property>
@@ -227,13 +259,6 @@
          </property>
         </widget>
        </item>
-       <item row="3" column="0">
-        <widget class="QLabel" name="label_7">
-         <property name="text">
-          <string>Skew:</string>
-         </property>
-        </widget>
-       </item>
        <item row="3" column="1">
         <widget class="ScrSpinBox" name="gSk_2">
          <property name="minimum">
@@ -251,32 +276,82 @@
          </property>
         </widget>
        </item>
-       <item row="4" column="1">
-        <widget class="ScrSpinBox" name="gSc">
+       <item row="1" column="0">
+        <widget class="QLabel" name="label_9">
+         <property name="text">
+          <string>End:</string>
+         </property>
+        </widget>
+       </item>
+       <item row="3" column="0">
+        <widget class="QLabel" name="label_7">
+         <property name="text">
+          <string>Skew:</string>
+         </property>
+        </widget>
+       </item>
+       <item row="2" column="3">
+        <widget class="ScrSpinBox" name="gFY">
          <property name="minimum">
-          <double>0.010000000000000</double>
+          <double>-3000.000000000000000</double>
          </property>
          <property name="maximum">
-          <double>100.000000000000000</double>
+          <double>3000.000000000000000</double>
          </property>
-         <property name="value">
-          <double>100.000000000000000</double>
+        </widget>
+       </item>
+       <item row="0" column="0">
+        <widget class="QLabel" name="label_8">
+         <property name="text">
+          <string>Start:</string>
          </property>
         </widget>
        </item>
+       <item row="5" column="1">
+        <spacer name="verticalSpacer_5">
+         <property name="orientation">
+          <enum>Qt::Vertical</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>20</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
       </layout>
      </widget>
      <widget class="QWidget" name="pageFourColor">
       <layout class="QGridLayout" name="gridLayout_4">
-       <item row="0" column="0">
-        <widget class="QLabel" name="label_19">
+       <property name="leftMargin">
+        <number>0</number>
+       </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
+       <item row="1" column="2">
+        <widget class="QLabel" name="label_17">
          <property name="text">
-          <string>1. Point:</string>
+          <string>/</string>
          </property>
         </widget>
        </item>
-       <item row="0" column="1">
-        <widget class="ScrSpinBox" name="gC1X">
+       <item row="2" column="0">
+        <widget class="QLabel" name="label_15">
+         <property name="text">
+          <string>3. Point:</string>
+         </property>
+        </widget>
+       </item>
+       <item row="1" column="3">
+        <widget class="ScrSpinBox" name="gC2Y">
          <property name="minimum">
           <double>-3000.000000000000000</double>
          </property>
@@ -285,6 +360,13 @@
          </property>
         </widget>
        </item>
+       <item row="3" column="0">
+        <widget class="QLabel" name="label_21">
+         <property name="text">
+          <string>4. Point:</string>
+         </property>
+        </widget>
+       </item>
        <item row="0" column="2">
         <widget class="QLabel" name="label_18">
          <property name="text">
@@ -292,8 +374,8 @@
          </property>
         </widget>
        </item>
-       <item row="0" column="3">
-        <widget class="ScrSpinBox" name="gC1Y">
+       <item row="2" column="1">
+        <widget class="ScrSpinBox" name="gC3X">
          <property name="minimum">
           <double>-3000.000000000000000</double>
          </property>
@@ -302,10 +384,10 @@
          </property>
         </widget>
        </item>
-       <item row="1" column="0">
-        <widget class="QLabel" name="label_16">
+       <item row="2" column="2">
+        <widget class="QLabel" name="label_14">
          <property name="text">
-          <string>2. Point:</string>
+          <string>/</string>
          </property>
         </widget>
        </item>
@@ -319,15 +401,15 @@
          </property>
         </widget>
        </item>
-       <item row="1" column="2">
-        <widget class="QLabel" name="label_17">
+       <item row="0" column="0">
+        <widget class="QLabel" name="label_19">
          <property name="text">
-          <string>/</string>
+          <string>1. Point:</string>
          </property>
         </widget>
        </item>
-       <item row="1" column="3">
-        <widget class="ScrSpinBox" name="gC2Y">
+       <item row="2" column="3">
+        <widget class="ScrSpinBox" name="gC3Y">
          <property name="minimum">
           <double>-3000.000000000000000</double>
          </property>
@@ -336,15 +418,8 @@
          </property>
         </widget>
        </item>
-       <item row="2" column="0">
-        <widget class="QLabel" name="label_15">
-         <property name="text">
-          <string>3. Point:</string>
-         </property>
-        </widget>
-       </item>
-       <item row="2" column="1">
-        <widget class="ScrSpinBox" name="gC3X">
+       <item row="3" column="1">
+        <widget class="ScrSpinBox" name="gC4X">
          <property name="minimum">
           <double>-3000.000000000000000</double>
          </property>
@@ -353,15 +428,8 @@
          </property>
         </widget>
        </item>
-       <item row="2" column="2">
-        <widget class="QLabel" name="label_14">
-         <property name="text">
-          <string>/</string>
-         </property>
-        </widget>
-       </item>
-       <item row="2" column="3">
-        <widget class="ScrSpinBox" name="gC3Y">
+       <item row="3" column="3">
+        <widget class="ScrSpinBox" name="gC4Y">
          <property name="minimum">
           <double>-3000.000000000000000</double>
          </property>
@@ -370,15 +438,8 @@
          </property>
         </widget>
        </item>
-       <item row="3" column="0">
-        <widget class="QLabel" name="label_21">
-         <property name="text">
-          <string>4. Point:</string>
-         </property>
-        </widget>
-       </item>
-       <item row="3" column="1">
-        <widget class="ScrSpinBox" name="gC4X">
+       <item row="0" column="1">
+        <widget class="ScrSpinBox" name="gC1X">
          <property name="minimum">
           <double>-3000.000000000000000</double>
          </property>
@@ -394,8 +455,8 @@
          </property>
         </widget>
        </item>
-       <item row="3" column="3">
-        <widget class="ScrSpinBox" name="gC4Y">
+       <item row="0" column="3">
+        <widget class="ScrSpinBox" name="gC1Y">
          <property name="minimum">
           <double>-3000.000000000000000</double>
          </property>
@@ -404,10 +465,42 @@
          </property>
         </widget>
        </item>
+       <item row="1" column="0">
+        <widget class="QLabel" name="label_16">
+         <property name="text">
+          <string>2. Point:</string>
+         </property>
+        </widget>
+       </item>
+       <item row="4" column="1">
+        <spacer name="verticalSpacer_4">
+         <property name="orientation">
+          <enum>Qt::Vertical</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>20</width>
+           <height>40</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
       </layout>
      </widget>
      <widget class="QWidget" name="pageDiamond">
       <layout class="QGridLayout" name="gridLayout_2">
+       <property name="leftMargin">
+        <number>0</number>
+       </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
        <item row="0" column="0">
         <widget class="QLabel" name="label_23">
          <property name="text">
@@ -582,6 +675,18 @@
      </widget>
      <widget class="QWidget" name="pageMesh">
       <layout class="QVBoxLayout" name="verticalLayout_2">
+       <property name="leftMargin">
+        <number>0</number>
+       </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
        <item>
         <layout class="QHBoxLayout" name="horizontalLayout">
          <item>
@@ -747,7 +852,7 @@
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
-           <height>62</height>
+           <height>20</height>
           </size>
          </property>
         </spacer>
@@ -756,6 +861,18 @@
      </widget>
      <widget class="QWidget" name="pagePatch">
       <layout class="QVBoxLayout" name="verticalLayout_3">
+       <property name="leftMargin">
+        <number>0</number>
+       </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
        <item>
         <layout class="QHBoxLayout" name="horizontalLayout_3">
          <item>
@@ -926,7 +1043,7 @@
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
-           <height>32</height>
+           <height>20</height>
           </size>
          </property>
         </spacer>
-- 
2.27.0

edit_gradient_vector.gif (104,698 bytes)
edit_gradient_vector.gif (104,698 bytes)

jghali

2021-01-13 01:26

administrator   ~0048680

Applied, thanks!

Issue History

Date Modified Username Field Change
2021-01-10 08:59 bubu New Issue
2021-01-10 08:59 bubu File Added: 0001-Update-layout-for-Gradient-Vector-Editor.patch
2021-01-10 08:59 bubu File Added: edit_gradient_vector.gif
2021-01-10 18:36 PeterBenedek Relationship added child of 0013906
2021-01-13 01:26 jghali Assigned To => jghali
2021-01-13 01:26 jghali Status new => resolved
2021-01-13 01:26 jghali Resolution open => fixed
2021-01-13 01:26 jghali Fixed in Version => 1.5.7.svn
2021-01-13 01:26 jghali Note Added: 0048680